%define realname perl-ldap
%define module	Net-LDAP
%define name    perl-%{module}
%define version	0.33
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for Perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{realname}-%{version}.tar.bz2
Url:		http://ldap.perl.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	perl(Convert::ASN1), perl(Authen::SASL), perl(IO::Socket::SSL)
BuildRequires:	perl(URI::ldap), perl(XML::SAX::Base)
BuildRequires:	perl(MIME::Base64) 

%description
Net-LDAP is a set of Perl classes implementing an LDAP client. The aim of
the perl-ldap project is to implement a very portable LDAP client in Perl
by relying on as little compiled code as possible.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes CREDITS MANIFEST README TODO contrib/
%dir %{perl_vendorlib}/Bundle/
%dir %{perl_vendorlib}/Bundle/Net/
%{perl_vendorlib}/Bundle/Net/LDAP.pm
%dir %{perl_vendorlib}/LWP/
%dir %{perl_vendorlib}/LWP/Protocol/
%{perl_vendorlib}/LWP/Protocol/ldap.pm
%dir %{perl_vendorlib}/Net/
%{perl_vendorlib}/Net/LDAP/
%{perl_vendorlib}/Net/LDAP.pm
%{perl_vendorlib}/Net/LDAP.pod
%{perl_vendorlib}/Net/LDAPI.pm
%{perl_vendorlib}/Net/LDAPS.pm
%{_mandir}/*/*

%changelog
* Fri Aug 04 2006 Lev Givon <lev@mandriva.org> 0.33-1mdk
- Initial Mandriva package.

